tt_onotice_create(library call)

NAME
tt_onotice_create — create a notice

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_message tt_onotice_create(
const char *objid,
const char *op);

DESCRIPTION

The tt_onotice_create function creates a message. The created message contains the following:

Tt_address = TT_OBJECT Tt_class = TT_NOTICE

The application can use the returned handle to add arguments and other attributes, and to send the message.

The objid argument is the identifier of the specified object. The op argument is the operation to be performed by the receiving process.

RETURN VALUE

Upon successful completion, the tt_onotice_create function returns the unique handle that identifies the message. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).